Skip to main content

Retrieve Time Series Stats - LB

GET 

/api/v1/stats/timeseries/lb

REQUEST PARAMETERS

keyValueDescription
start_timeintegerearliest time as UTC timestamp, like 1652129843. Minimum can be upto 364 days in the past from current time. Maximum can be current time.
end_timelatest time as UTC timestamp, like 1716150001. Minimum can be upto 364 days in the past from current time. Maximum can be current time.

RESPONSE JSON

The API call will return with a JSON response as below.

{
"stat_type": "LOAD_BALANCER_STAT",
"stat_subtype": "EGRESS",
"start_time": 1742507272,
"end_time": 1738294624,
"load_balancer_ids": [
"123456"
],
"data": {
"*": [
{
"timestamp": 1738294624,
"value": 238
},
{
"timestamp": 1740715993,
"value": 18
}
]
}
}
keyValueDescription
stat_typestringSee above
stat_subtypestringSee above
start_timeintegerearliest time as UTC timestamp, like 1652129843
end_timelatest time as UTC timestamp, like 1716150001
load_balancer_idsListid's of the Load Balancers used ( Load Balancers associated with account ) for which data is returned
dataJSONJSON with user_id as key. * for consolidated stats for all users (default)
timestamp and valueListKey-Value pairs with UTC timestamp and value for the requested stat

Request

Responses

Successful operation